@import "custom";
@import "~bootstrap/scss/bootstrap";


body {
    background-color: lightgray;
}

.nav-link:active {
    color: blue;
}


// TODO il faut qu'une bulle qui est active ai le texte et logo de couleur blanche.
// TODO il faut que les logos soit aligé, maybe la taille?
// TODO il faut formater les css, j'ai l'impression c'est trop ici.
// TODO il faut trouver un moyen pour que la navbar en format top possède des attributs similaire.

// // permet l'affichage en block et sans les points des listes
.nav-menu {
    padding: 0;
    margin: 0;
    padding: 0;
    display: block;
    list-style: none;
}

// Création de la bulle
.nav-menu a {
    // Gestion de la disposition
    display: flex;
    // Aligne l'icon au centre
    align-items: center;
    // Couleur de l'icon 
    color: #45505b;
    // Taille de la bulle
    // margin-bottom: 8px;
    // Création du rond de la bulle
    border-radius: 6vh;
    // Taille de la police du lien 
    font-size: 2vh;
    // Le fond de la bulle est blanc
    background: #f2f3f5;
    // Dimension de la bulle
    height: 7vh;
    width: 7vh;
    // Cache les éléments lorsqu'il depasse 
    overflow: hidden;
    // Affiche la bulle avec une animation
    transition: 0.3s;
}  



// Gestion de l'espace de l'affichage et de la couleur des texte et logo et mise a jour de la couleur du texte
.nav-menu a span {
    // Espace de la bulle 
    padding: 0 2vh 0 2vh;
    color: #45505b;
    display: none; // Le texte n'est initialement pas affiché
    color: #fff;
    font-size: 2vh;
}

// Gestion des bulle de la navbarre vertical
// Texte des elements deliste sur une seul ligne la taille de la bulle.
.nav-menu>div>ul>li {
    position: relative;
    white-space: nowrap;
}

// Gestion de la div contenant l'icone
.nav-menu a>div {
    // Position de la div
    margin-top:1vh;
    margin-left: 2vh;
    // Hauteur pleine
    height: 100%;
    // Gestion de la position de l'icone
    display: flex;
    align-items: center;
}

// Gestion des icones venant de font-awesome
.fa-solid {
    width: 3vh;
    height: 3vh;
    text-align: center;
 }

// Gestion de la couleur d'une bulle hover
.nav-menu a:hover,
.nav-menu .active,
.nav-menu li:hover>a {
    color: #fff !important;
    background: #0563bb;
}

// Lors du hover la bulle s'etend au texte et le texte est blanc
.nav-menu a:hover{
    width: 100%;
    color: #fff;
}

// Permet l'affichage en block de la bulle
.nav-menu a:hover span,
.nav-menu li:hover>a span {
    display: block;
}


// // Gestion de l'espace de l'affichage et de la couleur des texte et logo et mise a jour de la couleur du texte
// .nav-menu a span {
//     padding: 0 5px 0 7px;
//     color: #45505b;
//     display: none; // Le texte n'est initialement pas affiché
//     color: #fff;
// }

// // Gestion de la couleur d'une bulle hover
// .nav-menu a:hover,
// .nav-menu .active,
// .nav-menu li:hover>a {
//     color: #fff !important;
//     background: #0563bb;
// }

// // Lors du hover la bulle s'etend au texte et le texte est blanc
// .nav-menu a:hover{
//     width: 100%;
//     color: #fff;
// }

// // Permet l'affichage en block de la bulle
// .nav-menu a:hover span,
// .nav-menu li:hover>a span {
//     display: block;
// }


// Gestion du contenu des section 
.section_content {
    overflow: hidden;
}